Package org.eclipse.birt.chart.script

# Interface IExternalContext

All Superinterfaces:
  `Serializable`

public interface IExternalContext extends Serializable
This interface defines an common context adapter which provide scriptable context object or plain context object.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
Returns the plain context object which is used in pure java environment.
`org.mozilla.javascript.Scriptable`
`getScriptable()`
Returns the scriptable context object which is used in the javascript environment.

## Method Details

### getScriptable

org.mozilla.javascript.Scriptable getScriptable()
Returns the scriptable context object which is used in the javascript environment.

Returns:

### getObject

Object getObject()
Returns the plain context object which is used in pure java environment.

Returns: